cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/consents/auto-approval \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/consents/auto-approval"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/consents/auto-approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Auto Approval
Get status
Fetch the auto approval policy settings
GET
/
abdm
/
v1
/
consents
/
auto-approval
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Response
OK
Auto approval status
Available options:
enabled, disabled Was this page helpful?
⌘I

